package com.jasamedika.medifirst2000.service.impl;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.converter.DataRujukanConverter;
import com.jasamedika.medifirst2000.dao.DataRujukanDao;
import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.DataRujukanService;
import com.jasamedika.medifirst2000.vo.DataRujukanVO;


/**
 * Implement class for PasienService
 * 
 * @author Adik
 * @param <T>
 */


@Service("dataRujukanService")
public class DataRujukanServiceImpl extends BaseVoServiceImpl implements DataRujukanService<DataRujukanVO> {

	@Autowired
	private DataRujukanDao dataRujukanDao;
	
	@Autowired
	private DataRujukanConverter dataRujukanConverter;

	@Override
	public DataRujukanVO add(DataRujukanVO vo) throws JpaSystemException, ServiceVOException {
		return null;
	}

	@Override
	public DataRujukanVO update(DataRujukanVO vo) throws JpaSystemException, ServiceVOException {
		return null;
	}

	@Override
	public Boolean delete(String key) throws JpaSystemException {
		return null;
	}

	@Override
	public DataRujukanVO findById(String key) throws JpaSystemException {
		return null;
	}

	@Override
	public List<DataRujukanVO> findAll() throws JpaSystemException {
		return null;
	}

	@Override
	public Map<String, Object> findAllWithPageAndLimitAndSortByAndDirectionParameter(Integer page, Integer limit,
			String sort, String dir) {
		// DO AutTOo-generated method stub
		return null;
	}
	
	


	


}
